org.apache.poi.poifs.filesystem

## Class TempFilePOIFSFileSystem

- java.lang.Object
- - org.apache.poi.poifs.filesystem.BlockStore
  - - org.apache.poi.poifs.filesystem.POIFSFileSystem
    - - org.apache.poi.poifs.filesystem.TempFilePOIFSFileSystem

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, POIFSViewable

      @Beta
      public class TempFilePOIFSFileSystem
      extends POIFSFileSystem

  An experimental POIFSFileSystem to support the encryption of large files
  Since:
    4.1.1

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.poifs.filesystem.BlockStore

      `BlockStore.ChainLoopDetector`

  - ### Field Summary

    - ### Fields inherited from class org.apache.poi.poifs.filesystem.POIFSFileSystem

      `_data`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TempFilePOIFSFileSystem()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes the FileSystem, freeing any underlying files, streams and buffers.
    `protected void` | `createNewDataSource()`

    - ### Methods inherited from class org.apache.poi.poifs.filesystem.POIFSFileSystem

      `create, createBlockIfNeeded, createDirectory, createDocument, createDocument, createDocumentInputStream, createOrUpdateDocument, getBATBlockAndIndex, getBigBlockSize, getBigBlockSizeDetails, getBlockAt, getBlockStoreBlockSize, getChainLoopDetector, getFreeBlock, getHeaderBlock, getNextBlock, getPropertyTable, getRoot, getShortDescription, getViewableArray, getViewableIterator, isInPlaceWriteable, main, preferArray, setNextBlock, size, writeFilesystem, writeFilesystem`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TempFilePOIFSFileSystem

          public TempFilePOIFSFileSystem()

  - ### Method Detail

    - #### createNewDataSource

          protected void createNewDataSource()

      Overrides:
        `createNewDataSource` in class `POIFSFileSystem`

    - #### close

          public void close()
                     throws java.io.IOException

      Description copied from class: `POIFSFileSystem`
      Closes the FileSystem, freeing any underlying files, streams and buffers. After this, you will be unable to read or write from the FileSystem.
      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Overrides:
        `close` in class `POIFSFileSystem`
      Throws:
        `java.io.IOException`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.